Deployments
Get deployment
Retrieve a deployment and details for a specific application.
GET
/
applications
/
deployments
/
{id}
Get deployment
curl --request GET \
--url https://api.sevalla.com/v2/applications/deployments/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sevalla.com/v2/applications/deployments/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sevalla.com/v2/applications/deployments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deployment": {
"id": "fb5e5168-4281-4bec-94c5-0d1584e9e657",
"app_id": "fb5e5168-4281-4bec-94c5-0d1584e9e657",
"repo_url": "https://github.com/user/repo",
"branch": "main",
"commit_sha": "a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2",
"author_login": "johndoe",
"author_img": "https://avatars.githubusercontent.com/u/12345",
"commit_message": "feat: add new feature",
"status": "deploymentSuccess",
"created_at": 1738195200000
}
}{
"message": "Not found",
"status": 404,
"data": {
"code": "err_12345",
"message": "The requested resource was not found"
}
}{
"message": "Not found",
"status": 404,
"data": {
"code": "err_12345",
"message": "The requested resource was not found"
}
}{
"message": "Not found",
"status": 404,
"data": {
"code": "err_12345",
"message": "The requested resource was not found"
}
}Authorizations
API key authentication. Pass your API key as a Bearer token in the Authorization header.
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
"fb5e5168-4281-4bec-94c5-0d1584e9e657"
Response
Default Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get deployment
